package de.ruben.opencms.modules.ftpd;

import java.io.File;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.net.Socket;

import de.ruben.opencms.modules.ftpd.Representation;

/**
 * 
 * taken from ryan heise's jftpd package: 
 * 	
 * 	http://www.progsoc.uts.edu.au/~rheise/projects/jftpd/
 * 
 * modified by ruben malchow :
 * 
 * 	http://disco.kalkatraz.de/opencmsftpd
 * 
 */

public class ImageRepresentation extends Representation {
	ImageRepresentation() {
		super("binary", 'I');
	}

	public InputStream getInputStream(Socket socket) throws IOException {
		return socket.getInputStream();
	}

	public OutputStream getOutputStream(Socket socket) throws IOException {
		return socket.getOutputStream();
	}

	public long sizeOf(File file) throws IOException {
		return file.length();
	}
}
